com::lomiri::location::service::session::Interface::Updates Struct Reference

Encapsulates updates provided for this session, and the ability to enable/disable updates. More...

`#include <interface.h>`

Collaboration diagram for com::lomiri::location::service::session::Interface::Updates:

## Public Types

enum class | Status { enabled , disabled }
| The Status enum models the possible states of updates. More...

## Public Attributes

core::Property< Update< Position > > | position {}
| Updates for position measurements.
core::Property< Status > | position_status {Status::disabled}
| Status of position updates, mutable.
core::Property< Update< Heading > > | heading {}
| Updates for the heading measurements.
core::Property< Status > | heading_status {Status::disabled}
| Status of position updates, mutable.
core::Property< Update< Velocity > > | velocity {}
| Updates for velocity measurements.
core::Property< Status > | velocity_status {Status::disabled}
| Status of velocity updates, mutable.

## Detailed Description

Encapsulates updates provided for this session, and the ability to enable/disable updates.

Definition at line 66 of file service/session/interface.h.

## Member Enumeration Documentation

## Status

enum class com::lomiri::location::service::session::Interface::Updates::Status

strong

The Status enum models the possible states of updates.

Enumerator
enabled | Updates are enabled and delivered to this session.
disabled | Updates are disabled and not delivered to this session.

Definition at line 71 of file service/session/interface.h.

## Member Data Documentation

## heading

core::Property<Update<Heading> > com::lomiri::location::service::session::Interface::Updates::heading {}

Updates for the heading measurements.

Definition at line 89 of file service/session/interface.h.

## heading_status

core::Property<Status> com::lomiri::location::service::session::Interface::Updates::heading_status {Status::disabled}

Status of position updates, mutable.

Definition at line 93 of file service/session/interface.h.

## position

core::Property<Update<Position> > com::lomiri::location::service::session::Interface::Updates::position {}

Updates for position measurements.

Definition at line 80 of file service/session/interface.h.

## position_status

core::Property<Status> com::lomiri::location::service::session::Interface::Updates::position_status {Status::disabled}

Status of position updates, mutable.

Definition at line 84 of file service/session/interface.h.

## velocity

core::Property<Update<Velocity> > com::lomiri::location::service::session::Interface::Updates::velocity {}

Updates for velocity measurements.

Definition at line 98 of file service/session/interface.h.

## velocity_status

core::Property<Status> com::lomiri::location::service::session::Interface::Updates::velocity_status {Status::disabled}

Status of velocity updates, mutable.

Definition at line 102 of file service/session/interface.h.

The documentation for this struct was generated from the following file:

- service/session/interface.h